0
 magento/product-community-edition 2.2.3 requires ext-dom * -> the requested PHP extension dom is missing from your system.
- magento/product-community-edition 2.2.3 requires ext-dom * -> the requested PHP extension dom is missing from your system.
- Installation request for magento/product-community-edition 2.2.3 -> satisfiable by magento/product-community-edition[2.2.3].

getting above error messages while updating composer

0

This issue occur because it won't fulfill Magento requirement's.

Before you install Magento 2, make sure your system meets the following requirements so that it won't throw any error:

 - PDO/MySQL
 - mbstring
 - mcrypt
 - mhash
 - simplexml
 - gd2, ImageMagick 6.3.7 (or later) or both
 - soap

For PHP 7.0, you can use these commands:

 1. sudo apt-get update

 2. sudo apt-get install php7.0-gd php7.0-mcrypt php7.0-curl php7.0-intl
    php7.0-xsl php7.0-mbstring php7.0-openssl php7.0-zip php7.0-soap

 3. sudo service apache2 restart

I hope this information help thanks.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.